Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/Generator/RegressionBenchmark.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/Generator/RegressionBenchmark.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/Generator/RegressionBenchmark.cs	(revision 7085)
@@ -83,5 +83,5 @@
     }
 
-    public static List<List<double>> AllCombinationsOf(List<List<double>> sets) {
+    public static List<List<double>> GenerateAllCombinationsOfValuesInLists(List<List<double>> sets) {
 
       var combinations = new List<List<double>>();
@@ -91,5 +91,5 @@
 
       foreach (var set in sets.Skip(1))
-        combinations = AddExtraSet(combinations, set);
+        combinations = AddListToCombinations(combinations, set);
 
       combinations = (from i in Enumerable.Range(0, sets.Count)
@@ -100,5 +100,5 @@
     }
 
-    private static List<List<double>> AddExtraSet
+    private static List<List<double>> AddListToCombinations
          (List<List<double>> combinations, List<double> set) {
       var newCombinations = from value in set
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFifteen.cs	(revision 7085)
@@ -58,5 +58,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(range, 0.01);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFour.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFour.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionFour.cs	(revision 7085)
@@ -38,5 +38,5 @@
       inputVariables = new List<string>() { "X" };
       trainingPartition = new IntRange(0, 21);
-      testPartition = new IntRange(22, 2023);
+      testPartition = new IntRange(22, 2022);
     }
 
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionSixteen.cs	(revision 7085)
@@ -58,5 +58,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(range, 0.01);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionThirteen.cs	(revision 7085)
@@ -58,5 +58,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(range, 0.01);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Keijzer/KeijzerFunctionTwelve.cs	(revision 7085)
@@ -58,5 +58,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(range, 0.01);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/ChemicalOne.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/ChemicalOne.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/ChemicalOne.cs	(revision 7085)
@@ -31,5 +31,5 @@
 
     public ChemicalOne() {
-      Name = "Chemical-I";
+      Name = "RealWorldProblem Chemical-I";
       //Description = "Paper: Improving Symbolic Regression with Interval Arithmetic and Linear Scaling" + Environment.NewLine
       //  + "Authors: Maarten Keijzer" + Environment.NewLine
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/Housing.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/Housing.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/Housing.cs	(revision 7085)
@@ -31,5 +31,5 @@
 
     public Housing() {
-      Name = "Housing";
+      Name = "RealWorldProblem Housing";
       //Description = "Paper: Improving Symbolic Regression with Interval Arithmetic and Linear Scaling" + Environment.NewLine
       //  + "Authors: Maarten Keijzer" + Environment.NewLine
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/TowerProblem.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/TowerProblem.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/RealWorldProblems/TowerProblem.cs	(revision 7085)
@@ -31,5 +31,5 @@
 
     public TowerProblem() {
-      Name = "TowerProblem";
+      Name = "RealWorldProblem TowerProblem";
       //Description = "Paper: Improving Symbolic Regression with Interval Arithmetic and Linear Scaling" + Environment.NewLine
       //  + "Authors: Maarten Keijzer" + Environment.NewLine
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/KotanchekFunction.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/KotanchekFunction.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/KotanchekFunction.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public KotanchekFunction() {
-      Name = "Kotanchek";
+      Name = "Vladislavleva Kotanchek";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
@@ -61,5 +61,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(new DoubleRange(-0.2, 4.2), 0.1);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
       for (int i = 0; i < InputVariable.Count; i++) {
         dataList[i].AddRange(testData[i]);
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialThreeDimensional.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public RationalPolynomial() {
-      Name = "RatPol3D";
+      Name = "Vladislavleva RatPol3D";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
@@ -65,5 +65,5 @@
       };
 
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialTwoDimensional.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public RationalPolynomialTwoDimensional() {
-      Name = "RatPol2D";
+      Name = "Vladislavleva RatPol2D";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
@@ -62,5 +62,5 @@
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
 
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
       for (int i = 0; i < InputVariable.Count; i++) {
         dataList[i].AddRange(testData[i]);
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RippleFunction.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RippleFunction.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/RippleFunction.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public RippleFunction() {
-      Name = "Ripple";
+      Name = "Vladislavleva Ripple";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionOneDimensional.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionOneDimensional.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public SalutowiczFunctionOneDimensional() {
-      Name = "Salutowicz";
+      Name = "Vladislavleva Salutowicz";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionTwoDimensional.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SalutowiczFunctionTwoDimensional.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public SalutowiczFunctionTwoDimensional() {
-      Name = "Salutowicz2D";
+      Name = "Vladislavleva Salutowicz2D";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
@@ -65,6 +65,6 @@
       };
 
-      trainingData = RegressionBenchmark.AllCombinationsOf(trainingData);
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      trainingData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(trainingData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SineCosineFunction.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SineCosineFunction.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/SineCosineFunction.cs	(revision 7085)
@@ -28,5 +28,5 @@
 
     public SineCosineFunction() {
-      Name = "SineCosine";
+      Name = "Vladislavleva SineCosine";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
@@ -61,5 +61,5 @@
       List<double> oneVariableTestData = RegressionBenchmark.GenerateSteps(new DoubleRange(-0.05, 6.05), 0.02);
       List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      testData = RegressionBenchmark.AllCombinationsOf(testData);
+      testData = RegressionBenchmark.GenerateAllCombinationsOfValuesInLists(testData);
 
       for (int i = 0; i < InputVariable.Count; i++) {
Index: branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs
===================================================================
--- branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7081)
+++ branches/RegressionBenchmarks/HeuristicLab.Problems.DataAnalysis.Benchmarks/3.4/RegressionBenchmarks/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 7085)
@@ -29,5 +29,5 @@
 
     public UnwrappedBallFunctionFiveDimensional() {
-      Name = "UBall5D";
+      Name = "Vladislavleva UBall5D";
       Description = "Paper: Order of Nonlinearity as a Complexity Measure for Models Generated by Symbolic Regression via Pareto Genetic Programming " + Environment.NewLine
         + "Authors: Ekaterina J. Vladislavleva, Member, IEEE, Guido F. Smits, Member, IEEE, and Dick den Hertog" + Environment.NewLine
